function pla_DNA_analysis(selection,experimenttype)



% get settings and image locations etc
param = pla_settings;

%########################################
% NM BASED
%########################################


if ~exist('selection') | isempty(selection)
  selection = 1:size(param.condition,2);
end

for ii = selection
  
  fprintf('\rcondition  %3d / %3d %s\n',ii,size(param.condition,2),param.condition(ii).name{1});

  fntrack = [param.dir.output filesep param.condition(ii).name{1} '_tracks.mat'];
  if exist(fntrack)
    fprintf('\r  load %s\n',fntrack);
    load(fntrack,'tracks');
  else
    fprintf('\r  sample tracks\n');
    %data file
    fn = [param.dir.output filesep param.condition(ii).name{1} '_data.mat'];
    load(fn,'data');
        
    % extract tracks at nm lenght intervals
        [tracks{ii},lengths{ii}] = pla_sample_tracks( data(ii) , param );
    save(fntrack,'tracks'); 
    
    %save legths of strands
    fnlengths = [param.dir.output filesep param.condition(ii).name{1} '_lengths.mat'];
    save(fnlengths,'lengths');
  end
  
  %do random draws
  fnsampled = [param.dir.output filesep param.condition(ii).name{1} '_sampled.mat'];
  if exist(fnsampled)
    fprintf('\r  load %s\n',fnsampled);
    load(fnsampled,'samples');
  else
    fprintf('\r  sample sampled tracks\n');
    samples{ii} = pla_sample( tracks{ii},param,param.global.samplelengthsnm);
    save(fnsampled,'samples');
  end
    
  % do fitting
  fnfit = [param.dir.output filesep param.condition(ii).name{1} '_fit.mat'];
  if exist(fnfit)
    fprintf('\r  load %s\n',fnfit);
    load(fnfit,'msr');
  else
    fprintf('\r  fit\n');
    msr{ii} = pla_fit( samples{ii} , param);
    save(fnfit,'msr');
  end
    
  %do random draws
  fnsampledhist = [param.dir.output filesep param.condition(ii).name{1} '_sampledhist.mat'];
  if exist(fnsampledhist)
    fprintf('\r  load %s\n',fnsampledhist);
    load(fnsampledhist,'sampledhist');
  else
    fprintf('\r  sample sampled tracks sampled hist\n');
    sampledhist{ii} = pla_sample( tracks{ii},param,param.global.dekker.samplelengthsnm);
    save(fnsampledhist,'sampledhist');
  end

  % do fitting
  fnfithist = [param.dir.output filesep param.condition(ii).name{1} '_fithist.mat'];
  if exist(fnfithist)
    fprintf('\r  load %s\n',fnfithist);
    load(fnfithist,'msrhist');
  else
    fprintf('\r  fit tracks hist\n');
    msrhist{ii} = pla_histfit( sampledhist{ii} , param);
    save(fnfithist,'msrhist');
  end
    
  

end

return;
