function fit = pla_histfit(data,param)

if 0
pwd

dfg=fghd
end
ITHDRAW = ceil(rand(1)*size(data.nelements,2));


p = cell (size(data.p));
h = cell (size(data.p));

for ii = 1 : size(data.p,1)
  for jj = 1 : size(data.p,2)
    p{ii,jj} = sort(abs(data.p{ii,jj}));
  end
end

samplelengthsnm = param.global.dekker.samplelengthsnm;
bins            = param.global.dekker.bins;
bincenters      = diff(bins)/2+bins(1:end-1);
nbins           = length(bincenters);

for ii = 1 : size(data.p,1)
  s{ii}=zeros(size(data.p,2),length(samplelengthsnm));
  valtmp=[];
  for jj = 1 : size(data.p,2)
    histval  = histc(p{ii,jj},bins);
   
    hh{ii,jj}.val        = (histval/length(p{ii,jj}))';
    
    mask = (histval'~=0) & ([bincenters,0] <= pi);
    h{ii,jj}.mask =mask;
    h{ii,jj}.val        = -log(histval(mask)/length(p{ii,jj}))';
    h{ii,jj}.deflection = bincenters(mask);
    h{ii,jj}.par = lsqparabola(h{ii,jj}.deflection,h{ii,jj}.val);
    dtheta = bincenters(mask) - bins(find(mask));
    theta = bincenters(mask);
    L     = samplelengthsnm(jj);

    warning off
    %warning on
    FGA=0;
    
    dtheta=dtheta(1);
    h{ii,jj}.fiterf = fminbnd(@(pers) sum((pla_erffit(theta,dtheta,pers,L-FGA,2) -  h{ii,jj}.val).^2),10,80);
    
    %    dd=[h{ii,jj}.val]

    %    h{ii,jj}.fiterfbottom = 2*L*(erfinv(h{ii,jj}.val(1))/bins(2))^2;
    %put removed values back
    mask = (histval'~=0);
    h{ii,jj}.val        = -log(histval(mask)/length(p{ii,jj}))';
    h{ii,jj}.deflection = bincenters(mask);
    
    
    fprintf(' %3.1f ',h{ii,jj}.fiterf);
  % disp('pause')
 %  pause
   
  end
  fprintf(' \n ');

end


for jj = 1 : size(data.p,2)
  tmpval = [];
  fit.hist{jj}.deflection = h{ITHDRAW,jj}.deflection;
  fit.hist{jj}.mean       = h{ITHDRAW,jj}.val;
  fit.hist{jj}.par        = h{ITHDRAW,jj}.par;
  fit.hist{jj}.L          = param.global.dekker.samplelengthsnm(jj);
  fit.hist{jj}.fiterf     = h{ITHDRAW,jj}.fiterf;

  
  for kk =1:size(h,1)
     tmpval=cat(1,tmpval,hh{kk,jj}.val);
  end
  
  tmpval = -log(tmpval);
  mtmpval   = isinf(tmpval);
  
  %mean per line ignoring zero entries
  tm = tmpval; tm(mtmpval)=0; tm=sum(tm,1);
  sm =sum(~mtmpval,1); sm(sm==0)=Inf;
  tm=repmat(tm./sm,[size(tmpval,1),1]);
  
  %std with zeroless mean
  sm = (tmpval - tm).^2;  sm(mtmpval)=0; sm=sum(sm,1);
  sm=sqrt(sm);
 
  fit.hist{jj}.std = sm(h{ITHDRAW,jj}.mask);
end


%function out=erfpdf(theta,dtheta,P,L,fac)
%out=-log(erf(sqrt(P./(fac*L)).*(theta+dtheta))-erf(sqrt(P./(fac*L)).*(theta-dtheta)));




function out = lsqparabola(fx,fy)
global globx;
global globy;
globx=fx;
globy=fy;
x0=[2,1];

%%try
%%    options = optimset('LargeScale','off','TolX',1e-9,'MaxFunEvals',10000,'MaxIter',10000,'display','off');
%%    out= fminunc(@sqparabola,x0,options);
%%catch
    out = fminsearch(@sqparabola,[0,0]);%as at LUMC optimisation toolbox not available
%%end

function out = sqparabola(param)
global globx;
global globy;
out=sum(((param(1)*(globx.^2)+param(2))-globy).^2);

