function pla_DNA_measurements(selection,experimenttype)

% get settings and image locations etc
param = pla_settings;

%########################################
% PIXEL BASED
%########################################

if ~exist('selection') | isempty(selection)
    selection = 1:size(param.condition,2);
end

%loop over conditions
for ii = selection
    
    fndata = [param.dir.output filesep param.condition(ii).name{1} '_data.mat'];
    if exist(fndata)
        fprintf('    SKIP: data file %s exist!\n          To rerun remove file\n',fndata);
        fprintf('   condition %3d SKIPPED as data file exists already\n',ii);
    else
        %intialise data structure for condtion
        data(ii).path{1} = [];
        
        %loop over images under conditions
        for jj = 1 : size(param.condition(ii).files,2)
            fprintf('   condition %3d, image %3d / %3d\n',ii,jj,size(param.condition(ii).files,2));
            im.condition = ii;
            im.image     = jj;
            
            %read image
            im = pla_readimage(param,im);
            
            %get skeleton
            im = pla_skeleton(param,im);
            
            
            
            for kk= 1 : length(im.labs)
                % mask data
                im = pla_label(param,im,kk);
                
                %loop as strands with ends to close together are cut in two
                for ll = 1 : size(im.sk,2)
                    data = pla_path(param,im,data,ll,kk);
                end
                
                %remove filed as other wise possible double evaluation
                if size(im.sk,2) > 0
                    rmfield(im,'sk');
                end
                
            end
            clear('im');
        end
        
        %output file
        fn=[param.dir.output filesep param.condition(ii).name{1} '_data.mat'];
        save(fn,'data','param');
    end
    %clear 'data' to decrease memory usage
    clear('data');
end

